Subject: boot process stops after laptop was frozen during update

From: [email-masked]
Date: Wed, 10 Apr 2019 06:27:09 +0000

Hello! My buggy Laptop Lenovo G50-30 sometimes freezes in any time I use it.

But there was not this kind of error before as the next. When I leave my laptop working on `$ guix pull && guix package -u` for a long time, it freezes with the black screen (cause the lid was closed), so only power off works. After reboot it stops on this message:

[10.800] random: crng init done
And I switch it off again and boot again, and it's ok.

The dmesg after normal boot is like this around this line:

[ 4.940781] usb 1-1.4.3: new full-speed USB device number 7 using ehci-pci
[ 5.028727] EXT4-fs (sda1): mounted filesystem with ordered data mode. Opts: (null)
[ 5.050944] usb 1-1.4.3: New USB device found, idVendor=0cf3, idProduct=3004, bcdDevice= 0.01
[ 5.051027] usb 1-1.4.3: New USB device strings: Mfr=0, Product=0, SerialNumber=0
[ 14.949160] random: crng init done
[ 16.388040] shepherd[1]: Service root has been started.
[ 17.008304] shepherd[1]: starting services...
[ 17.012000] shepherd[1]: Service root-file-system has been started.
[ 17.042571] shepherd[1]: waiting for udevd...
[ 17.110090] udevd[196]: starting version 3.2.7
[ 17.211856] udevd[196]: starting eudev-3.2.7
[ 17.544511] udevd[196]: no sender credentials received, message ignored
[ 18.472327] i801_smbus 0000:00:1f.3: SMBus using PCI interrupt
[ 18.578891] Bluetooth: Core ver 2.22
[ 18.578977] NET: Registered protocol family 31
[ 18.579037] Bluetooth: HCI device and connection manager initialized

Please, which logs and from where need to provide?